<?php require_once "header.php" ?>

<?php
if ($has_error)
	echo "<h2>Erreur : $error_message</h2>";
?>

<h2>Problème n°<?= $problem ?></h2>


<hr/>

<h2>Équipes inscrites pour ce problème :</h2>

<table style="border: 1px solid black; width: 100%;">
    <thead>
    <tr>
        <th style="border: 1px solid black; text-align: center">
            Équipe
        </th>
        <th style="border: 1px solid black; text-align: center">
            Trigramme
        </th>
        <th style="border: 1px solid black; text-align: center">
            Date d'inscription
        </th>
        <th style="border: 1px solid black; text-align: center">
            État de validation de l'inscription
        </th>
    </tr>
    </thead>
    <tbody>
	<?php
	/** @var Team $team */
	foreach ($teams as $team) {
		?>
        <tr>
            <td style="border: 1px solid black; text-align: center">
				<?php
				if (isset($_SESSION["role"]) && $_SESSION["role"] == Role::ADMIN)
					echo "<a href=\"/equipe/" . $team->getTrigram() . "\">" . $team->getName() . "</a>";
				else
					echo $team->getName();
				?>
            </td>
            <td style="border: 1px solid black; text-align: center"><?= $team->getTrigram() ?></td>
            <td style="border: 1px solid black; text-align: center"><?= formatDate($team->getInscriptionDate()) ?></td>
            <td style="border: 1px solid black; text-align: center"><?= ValidationStatus::getTranslatedName($team->getValidationStatus()) ?></td>
        </tr>
		<?php
	}
	?>
    </tbody>
    <tfoot>
    <tr>
        <th style="border: 1px solid black; text-align: center">
            Équipe
        </th>
        <th style="border: 1px solid black; text-align: center">
            Trigramme
        </th>
        <th style="border: 1px solid black; text-align: center">
            Date d'inscription
        </th>
        <th style="border: 1px solid black; text-align: center">
            État de validation de l'inscription
        </th>
    </tr>
    </tfoot>
</table>

<?php require_once "footer.php" ?>

